package com.malk.jianhui.service;

import com.malk.server.common.McR;

import java.util.Map;

public interface JianhuiService {
    McR saveSaleOrder(Map map);

    McR syncCustomers();

    McR syncSalesman();

    McR syncMaterial();

    McR saveForecastOrder(Map map);

    McR saveDefectiveOrder(Map map);

    McR syncSupplier();

    McR syncPurchaseOrder();

    McR auditPurchaseOrder(Map map);

    McR syncData();

    McR syncSalePrice();

    McR syncInspectionOrder();

    void manualSyncData(String userId);

    void manualSyncMaterialData(String userId,String startTime,String endTime);
}
